import platform

from lib_create_env import lib_generate_install_methods

system_str = platform.system()

INSTALLS = [#(key,method, option_str, dict_extra_env)
    'PYCRYPTO',
    'PARAMIKO',
    'FABRIC',
    'MERCURIAL',
]

OPTIONS_TO_ADD = ['clear', 'type_install=local', "unzip_setuptools", "use_distribute"]

def generate_install_methods(path_locations, src_base, Logger, call_subprocess):    
    return lib_generate_install_methods(path_locations, src_base, Logger, call_subprocess, INSTALLS, OPTIONS_TO_ADD)

